<template>
  <q-layout view="lHr lpR lFr">

    <div class="header q-mb-xl full-width">
      <div class="header__logos-block full-width q-my-xl ">
        <div class="header__logos-block__logo">
          <img src="../assets/logos/header_logos/logo-sercop.svg" alt="logo sercop">
        </div>
        <div class="header__logos-block__logo">
          <img src="../assets/logos/header_logos/logo-escudo-ecuador.svg" alt="logo escudo ecuador">
        </div>
        <div class="header__logos-block__logo">
          <img src="../assets/logos/header_logos/logo-gobierno-del-encuentro.svg" alt="logo gobierno del encuentro">
        </div>
      </div>

      <div class="header__ocdc-banner full-width text-center text-white row justify-center items-center">
        <p>Contrataciones Abiertas Ecuador - OCDS</p>
      </div>

      <nav class="header__navbar full-width" aria-label="">
        <q-tabs
          no-caps
          stretch
          shrink
          align="justify"
          class="bg-secondary"
          active-class="text-primary" active-bg-color="white"
          :vertical="resize.width < 600"
        >
          <q-route-tab href="https://datosabiertos.compraspublicas.gob.ec/PLATAFORMA" label="Inicio" />
          <q-route-tab href="https://datosabiertos.compraspublicas.gob.ec/PLATAFORMA/procedimientos" label="Buscar procedimientos" />
          <q-route-tab href="https://datosabiertos.compraspublicas.gob.ec/PLATAFORMA/datos-abiertos" label="Datos abiertos" />
          <q-route-tab exact replace to="/completitud" label="Batería de Indicadores" />
          <q-route-tab href="https://datosabiertos.compraspublicas.gob.ec/PLATAFORMA/acerca" label="Acerca de la plataforma" />
        </q-tabs>
      </nav>

    </div>

    <div class="main-page">

      <div class="main-page__header q-mb-lg full-width">
        <h1 class="text-center text-primary">
          Indicadores de Calidad
        </h1>
      </div>

      <div class="main-page__concept-explanation q-mb-lg full-width">
        <q-banner >
          <div class="q-pl-md q-py-md q-mt-md main-page__concept-explanation__subtitle bg-secondary">Marco conceptual:</div>
          <q-separator spaced="sm" />
          <div class="text-caption">
            En esta sección puedes conocer los principales indicadores sobre la calidad de los datos abiertos en Contrataciones Abiertas Ecuador.  La calidad de los datos es valorada en un sistema de gestión de información, asociado a normas, procedimientos, reglas del negocio, sistemas informáticos y resultados. Los indicadores se clasifican en las dimensiones de: completitud, oportunidad, exactitud y precisión.
            La medición de los datos publicados permite establecer procesos de mejora continua con el propósito de fomentar la consistencia, reutilización de los datos publicados y así promover la toma decisiones informadas, garantizar la transparencia y promover la integridad en el ecosistema de contratación pública del Ecuador.
          </div>

          <q-expansion-item
            v-model="isDimensionsExplicationExpanded"
            label="Dimensiones para Indicadores de Calidad de Datos de Contrataciones Abiertas Ecuador"
            :header-class="'bg-secondary'"
            :header-style="{ fontWeight: 500, fontSize: '1.5vh', color: '#5c5b5e'}"
            icon="info"
            class="q-mt-md"
            >
            <q-separator spaced="sm" />
            <div class="text-caption">
              <i>Completitud:</i> Se refiere al grado en el cual el dato del sujeto asociado con una entidad tiene valores para todos los atributos esperados e instancias de entidad relacionadas en un contexto específico de uso.<br/>
              <i>Oportunidad:</i> Se refiere a la producción puntual, usabilidad y disponibilidad de la información que debe ser adecuada.<br/>
              <i>Exactitud:</i> Se refiere al grado en el cual el dato tiene atributos que representan correctamente el valor verdadero del atributo esperado de un concepto o evento en un contexto específico de empleo.<br/>
              <i>Precisión:</i> Reflejar la realidad y debe ser confiable.Se refiere al grado en el que el dato tiene atributos que son exactos o que proporcionan la discriminación en un contexto específico de uso.
            </div>
          </q-expansion-item>

        </q-banner>
      </div>

      <div class="main-page__banner q-mb-lg full-width">
        <q-banner class="full-width bg-secondary" >
          <template v-slot:default>
            <div class="main-page__banner__text q-px-sm col-11">
              <p class="text-center">Dimensiones de los Indicadores de Calidad</p>
            </div>
          </template>
        </q-banner>
      </div>

      <nav class="main-page__nav-panel" aria-label="">
        <q-tabs router active-class="text-white" active-bg-color="primary" align="justify" :vertical="resize.width < 600">
          <q-route-tab exact replace to="/completitud" name="completitud" label="Completitud" />
          <q-route-tab exact replace to="/oportunidad" name="oportunidad" label="Oportunidad" />
          <q-route-tab exact replace to="/exactitud" name="exactitud" label="Exactitud" />
          <q-route-tab exact replace to="/precision" name="precision" label="Precisión" />
        </q-tabs>
        <q-separator color="orange" size="0.1rem" class='full-width' />
      </nav>

      <q-page-container>
        <router-view />


        <q-page-scroller v-if="resize.width >= 1024" position="bottom-right" :scroll-offset="150" :offset="[18, 18]">
          <q-btn fab icon="keyboard_arrow_up" color="primary" />
        </q-page-scroller>

        <q-page-scroller v-if="resize.width < 1024" expand position="top" :scroll-offset="150" :offset="[0, 0]">
          <div class="col cursor-pointer q-pa-sm bg-primary text-white text-center">
            Desplácese hacia arriba...
          </div>
        </q-page-scroller>
      </q-page-container>

    </div>

    <div class="banner-user-experience-survey full-width q-my-lg">
      <a href="https://forms.gle/ABdPLmJvU7Q6FzQ76" target="_blank">
        <img v-if="resize.width <= 520" src="../assets/banners/bn_cuentanos_520x520.png" alt="banner de encuesta de experiencia de usuario">
        <img v-else src="../assets/banners/bn_cuentanos_1920x520.png" alt="banner de encuesta de experiencia de usuario">
      </a>
    </div>

    <div class="footer full-width">

      <div class="footer__gobierno-abierto-block items-center q-py-xl q-mb-xl bg-secondary">
        <div class="footer__gobierno-abierto-block__logo">
          <img src="../assets/logos/footer_logos/logo-gobierno-abierto.jpeg" alt="logo gobierno abierto">
        </div>
        <div class="footer__gobierno-abierto-block__text-part">
          <div class="footer__gobierno-abierto-block__text-part__text">
            El compromiso <span class="text-weight-medium">"Plataforma de información Abierta de Contratación Pública</span> es parte del primer <a class="text-weight-medium" href="https://www.gobiernoabierto.ec/primer-plan-de-accion/">Plan de Acción de Gobierne Abierto Ecuador 2019-2022</a>"
          </div>
          <div class="footer__gobierno-abierto-block__text-part__link">
            <a href="https://www.gobiernoabierto.ec/">Conoce más</a>
          </div>
        </div>
      </div>

      <div class="footer__flag row no-wrap">
        <div class="footer__flag__elem-1 col-4"></div>
        <div class="footer__flag__elem-2 col-4"></div>
        <div class="footer__flag__elem-3 col-4"></div>
      </div>

      <div class="footer__info-block column q-pa-xl text-white">
        <h2 class="text-center">Servicio Nacional de Contratación Pública</h2>
        <p class="text-center">Plataforma Gubernamental Financiera</p>
        <p class="text-center">Av. Amazonas entre Unión Nacional de Periodistas y Alfonso Pereira, Bloque Amarillo Piso 7</p>
        <p class="text-center">Quito - Ecuador</p>
        <p class="text-center">593-2 2440050 Teléfono: 1700-737267</p>
      </div>

      <div class="footer__supporters-block column items-center q-py-xl full-width">
        <div class="text-caption text-center q-mb-md">CON EL APOYO DE:</div>
        <div class="footer__supporters-block__supporters-logos">
          <div class="footer__supporters-block__supporters-logos__logo">
            <img src="../assets/logos/footer_logos/logo-giz.svg" alt="logo GIZ" >
          </div>
        </div>
      </div>
    </div>

  </q-layout>
  <q-resize-observer @resize="onResize" />
</template>

<script setup>
import { ref, computed } from 'vue'

const resize = ref(0);

const onResize = function (size) {
  resize.value = size;
};

const isDimensionsExplicationExpanded = ref(false);

</script>

<style lang="scss">
@use './main-layout-stylesheet.scss';

</style>
